#include <bits/stdc++.h>

using namespace std;

int main()
{
    ios_base::sync_with_stdio(false);
    cin.tie(NULL);
    int n;
    cin>>n;
    int a[n];
    for(int i=0;i<n;i++)
    {
        cin>>a[i];
    }
    int q;
    cin>>q;
    int b[q][2];
    for(int i=0;i<q;i++)
    {
        cin>>b[i][0]>>b[i][1];
    }
    for(int i=0;i<q;i++)
    {
        int pom=0;
        for(int j=b[i][0]-1;j<b[i][1]-1;j++)
        {
            if(a[i]>a[i+1])
            {
                pom++;
            }
        }
        if(pom>1)
        {
            cout<<"NE"<<"\n";
        }
        else
        {
            cout<<"DA"<<"\n";
        }
        pom=0;
    }
    return 0;
}